%define	upstream_name	 Convert-UUlib
%define upstream_version 1.4

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Epoch:      2

Summary:    %{upstream_name} module for perl
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Convert/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
Convert::UUlib is a Perl interface to the uulib library (a.k.a.
uudeview/uuenview).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
%make

%check
%__make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING Changes META.json README
%{perl_vendorarch}/auto/Convert
%{perl_vendorarch}/Convert
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2:1.400.0-3.mga3
+ Revision: 364822
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2:1.400.0-2.mga3
+ Revision: 250382
- rebuild for perl 5.16

* Wed Jun 15 2011 jquelin <jquelin> 2:1.400.0-1.mga2
+ Revision: 106549
- update to 1.4

* Sat Jun 11 2011 sander85 <sander85> 2:1.340.0-2.mga2
+ Revision: 103758
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 2:1.340.0-1.mga1
+ Revision: 29968
- mageia rebuild
- imported package perl-Convert-UUlib

